none
.NET 4.7 issues RRS feed

  • Question

  • Hi all,

    I recently installed Windows 10 Pro version 1703 on a laptop and am having problems running an external app. The app requires .Net 4.6x.

    How can I roll back .Net 4.7 to 4.6x? 

    Thanks in advance for any advice.

    Regards,

    Andrew

    Thursday, July 27, 2017 1:59 PM

All replies

  • hi,

    you can simply download .NET 4.6 from here

    https://www.microsoft.com/en-us/download/details.aspx?id=49982

    you don't need to completely roll back

    learn more about :

    https://blogs.msdn.microsoft.com/dotnet/2015/11/30/net-framework-4-6-1-is-now-available/

    Thursday, July 27, 2017 3:08 PM
  • Hi,

    Thanks for your answer.

    Apologies, i should have been a little more articulate. The problem is 4.7 was installed with the operating system and i can't do an uninstall and install a 4.6x version.

    Do you know a way to uninstall 4.7?

    Best regards,

    Andrew

    Thursday, July 27, 2017 3:53 PM
  • Hi Andrew,

    Please directly go to Control Panel>Programs>Programs and Features tp right-click and uninstall it:

    If there is any problem preventing uninstall it , have a try with Fix it  tool to repair issues including corrupted registry keys that block you from installing or removing programs first.

    Best Regards,


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    Friday, July 28, 2017 5:53 AM
    Moderator
  • Hi Andrew

    What about this issue? Could you use the .NET 4.6x now?

    As far as I know, those .NET Framework versions are included in VS2017:

    https://www.microsoft.com/net/targeting?utm_source=getdotnetsdk&utm_medium=referral

    Whether you have installed the VS2017?

    Of course, you could use this tool to check your .NET version installed in your windows:

    https://blogs.msdn.microsoft.com/astebner/2008/10/13/net-framework-setup-verification-tool-users-guide/

    If it really has no the old version, you could uninstall the newer one and then install the old one.

    Best Regards,

    Jack


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    Sunday, August 6, 2017 8:44 AM
    Moderator